Package org.eclipse.mat.query.refined

## Class TotalsRow

- java.lang.Object
- - org.eclipse.mat.query.refined.TotalsRow

    public class TotalsRow
    extends Object

### Constructor Summary

Constructors
`TotalsRow()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getFilteredItems()`
`URL` `getIcon()`
`String` `getLabel​(int columnIndex)` The label for a totals tow.
`int` `getNumberOfItems()`
`int` `getVisibleItems()`
`boolean` `isVisible()`
`void` `setVisibleItems​(int visibleItems)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TotalsRow

    public TotalsRow()

### Method Detail

#### getVisibleItems

    public int getVisibleItems()

#### setVisibleItems

    public void setVisibleItems​(int visibleItems)

#### getFilteredItems

    public int getFilteredItems()

#### getNumberOfItems

    public int getNumberOfItems()

#### getIcon

    public URL getIcon()

#### isVisible

    public boolean isVisible()

Returns:
  true if the totals row should be shown

#### getLabel

    public String getLabel​(int columnIndex)

The label for a totals tow.

Parameters:
  `columnIndex` - the particular column
Returns:
  what to display for this column for the totals row